#define _CRT_SECURE_NO_WARNINGS
#include <cstdio>
#include <deque>
using namespace std;

int N;

void Read()
{
	scanf( "%d", &N );
}

deque< int > q;

void Work()
{
	int i, j;
	for( i = N; i >= 1; --i )
	{
		q.push_back( i );
		for( j = 0; j < i; ++j )
		{
			q.push_back( q.front() );
			q.pop_front();
		}
	}
}

void Write()
{
	for( int i = 0; !q.empty(); ++i )
	{
		if( i != 0 )
			putchar( ' ' );
		printf( "%d", q.back() );
		q.pop_back();
	}
	putchar( '\n' );
}

int main()
{
	int i, t;
	scanf( "%d", &t );
	for( i = 0; i < t; ++i )
	{
		Read();
		Work();
		Write();
	}
	return 0;
}
